body {
	background-color: var(--background);
	font-family: "Noto Sans JP", sans-serif;
	font-optical-sizing: auto;
}

header {
	background-color: var(--background);
}

.header-image {
	height: 100vh;
	border-bottom-left-radius: 70px;
}



/* ========== お知らせ ========== */
.oshirase-section {
	margin-top: 200px;
}

@media (max-width: 900px) {
	.oshirase-section {
		margin-top: 120px;
	}
}

.oshirase-title {
	font-family: "Kiwi Maru", serif;
	color: var(--text);
}

.oshirase-list {
	max-width: 850px;
	width: min(850px, calc(100% - 32px));
	margin: 0 auto;
}

.oshirase-list a {
	text-decoration: none;
}

@media (max-width: 520px) {
	.oshirase4 {
		display: none;
	}
}

.oshirase-flex1,
.oshirase-flex2,
.oshirase-flex3 {
	display: flex;
	background-color: #FFFFFF;
	border-radius: 20px;
	padding: 15px 20px;
	margin: 15px auto;
	transition: background 0.2s ease, transform 0.2s ease;
}

@media (max-width: 900px) {

	.oshirase-flex1,
	.oshirase-flex2,
	.oshirase-flex3 {
		padding: 14px 16px;
	}
}

@media (max-width: 520px) {

	.oshirase-flex1,
	.oshirase-flex2,
	.oshirase-flex3 {
		flex-direction: column;
		align-items: flex-start;
		gap: 10px;
	}
}

.oshirase-flex1:hover,
.oshirase-flex2:hover,
.oshirase-flex3:hover {
	transform: scale(1.02);
	transition: transform 0.3s;
}

.oshirase-flex1 {
	border: 3px solid var(--lesson);
}

.oshirase-flex2 {
	border: 3px solid var(--oshirase);
}

.oshirase-flex3 {
	border: 3px solid var(--event);
}

.oshirase-left1,
.oshirase-left2,
.oshirase-left3 {
	margin: auto;
	width: 180px;
}

@media (max-width: 900px) {

	.oshirase-left1,
	.oshirase-left2,
	.oshirase-left3 {
		width: 120px;
	}
}

@media (max-width: 520px) {

	.oshirase-left1,
	.oshirase-left2,
	.oshirase-left3 {
		width: auto;
		margin: 0 10px 0 0;
	}
}

.oshirase-left1 span,
.oshirase-left2 span,
.oshirase-left3 span {
	font-weight: 500;
	color: #FFFFFF;
	padding: 5px 20px;
	border-radius: 100px;
}

@media (max-width: 900px) {

	.oshirase-left1 span,
	.oshirase-left2 span,
	.oshirase-left3 span {
		padding: 5px 14px;
	}
}

.oshirase-left1 span {
	background-color: var(--lesson);
}

.oshirase-left2 span {
	background-color: var(--oshirase);
}

.oshirase-left3 span {
	background-color: var(--event);
}

.oshirase-center {
	color: var(--text);
	font-weight: 600;
	width: 100%;
}

.oshirase-border1 {
	border-bottom: 1px solid var(--lesson);
}

.oshirase-border2 {
	border-bottom: 1px solid var(--oshirase);
}

.oshirase-border3 {
	border-bottom: 1px solid var(--event);
}

.oshirase-center p {
	margin: 5px auto;
}

@media (max-width: 520px) {
	.oshirase-center p {
		margin: 4px 0;
	}
}

.oshirase-right {
	width: 100px;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
}

@media (max-width: 900px) {
	.oshirase-right {
		width: 56px;
	}
}

@media (max-width: 520px) {
	.oshirase-right {
		display: none;
	}
}

.oshirase-chev1,
.oshirase-chev2,
.oshirase-chev3 {
	position: absolute;
	right: 16px;
	top: 50%;
	width: 20px;
	height: 20px;
	transform: translateY(-50%) rotate(-45deg);
	border-radius: 1px;
}

@media (max-width: 900px) {

	.oshirase-chev1,
	.oshirase-chev2,
	.oshirase-chev3 {
		right: 10px;
		width: 16px;
		height: 16px;
	}
}

.oshirase-chev1 {
	border-right: 3px solid var(--lesson);
	border-bottom: 3px solid var(--lesson);
}

.oshirase-chev2 {
	border-right: 3px solid var(--oshirase);
	border-bottom: 3px solid var(--oshirase);
}

.oshirase-chev3 {
	border-right: 3px solid var(--event);
	border-bottom: 3px solid var(--event);
}

.oshirase-button {
	text-align: center;
	margin-top: 60px;
}

/* ========== お知らせ ========== */



/* ========== いっぽ にほ さんぽっぽ ========== */
.sanpoppo-section {
	margin-top: 100px;
}

.sanpoppo-image {
	width: 100%;
	text-align: center;
}

.sanpoppo-image img {
	width: min(600px, 100%);
}

@media (max-width: 900px) {
	.sanpoppo-image img {
		width: 85%;
	}
}

/* 教室について */
.concept-section {
	margin: 100px auto 0 auto;
	max-width: 1200px;
}

@media (max-width: 1024px) {
	.concept-section {
		width: min(1200px, calc(100% - 32px));
	}
}

@media (max-width: 520px) {
	.concept-section {
		margin-top: 70px;
	}
}

.concept-title {
	color: var(--text);
	text-align: left;
	font-family: "Kiwi Maru", serif;
}

@media (max-width: 520px) {
	.concept-title {
		text-align: center;
	}
}

@media (max-width: 900px) {
	.concept-title h3 {
		font-size: 23px;
	}
}

.concept-flex {
	display: flex;
}

@media (max-width: 520px) {
	.concept-flex {
		flex-direction: column;
		gap: 20px;
	}

	.concept-flex .concept-side-image,
	.concept-flex .concept-side-image2 {
		order: 1;
	}

	.concept-flex .concept-side-naiyo {
		order: 2;
	}
}

.concept-side-naiyo {
	width: 45%;
}

@media (max-width: 520px) {
	.concept-side-naiyo {
		width: 100%;
	}
}

.concept-naiyo {
	line-height: 1.9;
	font-weight: 500;
	color: var(--text);
}

@media (max-width: 900px) {
	.concept-naiyo {
		line-height: 1.85;
	}
}

@media (max-width: 520px) {
	.concept-naiyo {
		text-align: center;
	}
}

.concept-side-image,
.concept-side-image2 {
	width: 55%;
	display: flex;
	align-items: center;
	padding: 0 30px;
}

@media (max-width: 520px) {

	.concept-side-image,
	.concept-side-image2 {
		width: 100%;
		padding: 0;
	}
}

.concept-side-image2 {
	justify-content: right
}

@media (max-width: 520px) {
	.concept-side-image2 {
		justify-content: left;
	}
}

.concept-image {
	min-width: 400px;
	min-height: 400px;
	border-radius: 20px;
	background-image: url(../img/photo/concept.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

.concept-image2 {
	min-width: 400px;
	min-height: 400px;
	border-radius: 20px;
	background-image: url(../img/photo/concept02.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

@media (max-width: 1024px) {
	.concept-image,
	.concept-image2 {
		min-width: 0;
		min-height: 0;
		width: 100%;
		aspect-ratio: 4 / 3;
	}
}

/* ========== いっぽ にほ さんぽっぽ ========== */



/* ========== 区切り画像 ========== */
.separate-section {
	margin-top: 150px;
}

@media (max-width: 900px) {
	.separate-section {
		margin-top: 200px;
	}
}

.separate-image {
	width: 100%;
	height: 300px;
	background-image: url(../img/photo/separate.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

@media (max-width: 900px) {
	.separate-image {
		height: 220px;
	}
}

/* ========== 区切り画像 ========== */



/* ========== レッスン内容 ========== */
.lesson-section {
	margin: 150px auto 0 auto;
	max-width: 1200px;
}

@media (max-width: 900px) {
	.lesson-section {
		margin: 200px auto 0 auto;
	}
}

@media (max-width: 1024px) {
	.lesson-section {
		width: min(1200px, calc(100% - 32px));
	}
}

@media (max-width: 520px) {
	.lesson-section {
		margin-top: 110px;
	}
}

.lesson-title {
	color: var(--text);
	font-family: "Kiwi Maru", serif;
}

@media (max-width: 520px) {
	.lesson-title {
		text-align: center;
	}
}

.lesson-flex {
	display: flex;
}

@media (max-width: 520px) {
	.lesson-flex {
		flex-direction: column;
		gap: 20px;
	}
}

.lesson-side-naiyo {
	width: 55%;
}

@media (max-width: 520px) {
	.lesson-side-naiyo {
		width: 100%;
	}
}

.lesson-naiyo {
	font-weight: 500;
	color: var(--text);
}

@media (max-width: 520px) {
	.lesson-message {
		text-align: center;
	}
}

.lesson-naiyo table {
	width: 100%;
}

.lesson-naiyo th {
	padding-top: 20px;
	min-width: 100px;
	text-align: left;
	vertical-align: top;
	font-weight: bold;
}

.lesson-naiyo td {
	padding-top: 20px;
	line-height: 1.7;
}

@media (max-width: 900px) {
	.lesson-naiyo td {
		padding-top: 12px;
		line-height: 1.5;
	}
}

.lesson-border {
	border-bottom: 1px solid var(--border);
}

.lesson-side-image {
	width: 45%;
	padding-right: 30px;
	display: flex;
	align-items: center;
}

@media (max-width: 520px) {
	.lesson-side-image {
		display: none;
	}
}

.lesson-image {
	min-width: 450px;
	min-height: 450px;
	border-radius: 20px;
	background-image: url(../img/photo/class.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

@media (max-width: 1024px) {
	.lesson-image {
		min-width: 0;
		min-height: 0;
		width: 100%;
		aspect-ratio: 1 / 1;
	}
}

.lesson-button {
	text-align: center;
	margin-top: 60px;
}

/* ========== レッスン内容 ========== */



/* ========== SNS ========== */
.sns-section {
	margin: 150px auto 0 auto;
	max-width: 1200px;
	color: var(--text);
}

@media (max-width: 1024px) {
	.sns-section {
		width: min(1200px, calc(100% - 32px));
	}
}

.sns {
	max-width: 800px;
	text-align: center;
	padding: 30px 0;
	margin: 50px auto;
	position: relative;
	border: solid 5px var(--lesson);
	background-color: #FFFFFF;
	border-radius: 3px 10px 3px 10px;
}

@media (max-width: 900px) {
	.sns {
		width: min(800px, calc(100% - 32px));
		padding: 22px 0;
	}
}

@media (max-width: 900px) {
	.sns {
		width: min(800px, calc(100% - 32px));
		padding: 10px 0;
	}
}

.sns:before,
.sns:after {
	content: '';
	position: absolute;
	width: 30px;
	height: 30px;
	border: solid 5px var(--lesson);
	background-color: #FFFFFF;
	border-radius: 50%;
}

.sns:after {
	top: -38px;
	left: -34px;
}

.sns:before {
	bottom: -38px;
	right: -34px;
}

.sns .sns_txt {
	font-size: 21px;
	font-family: "Kiwi Maru", serif;
	font-weight: 500;
}

@media (max-width: 900px) {
	.sns .sns_txt {
		font-size: 18px;
	}
}

@media (max-width: 520px) {
	.sns .sns_txt {
		font-size: 15px;
		padding: 0 10px;
	}
}

.sns .sns_img {
	text-align: center;
}

.sns .sns_img a {
	text-decoration: none;
}

.sns .line,
.sns .insta {
	width: 90px;
	padding: 0 30px;
	filter: brightness(0) saturate(100%) invert(85%) sepia(47%) saturate(1721%) hue-rotate(325deg) brightness(103%) contrast(103%);
	transition: background 0.2s ease, transform 0.2s ease;
}

@media (max-width: 900px) {

	.sns .line,
	.sns .insta {
		width: 74px;
		padding: 0 18px;
	}
}

@media (max-width: 520px) {

	.sns .line,
	.sns .insta {
		width: 60px;
		padding: 0 18px;
	}
}

.sns .line:hover,
.sns .insta:hover {
	transform: scale(1.07);
	transition: transform 0.3s;
	cursor: pointer;
}

/* ========== SNS ========== */



/* ========== レッスンの流れ ========== */
.flow-section {
	color: var(--text);
	margin: 150px auto 0 auto;
	width: 100%;
}

.flow-back-image {
	width: 100%;
	height: auto;
	padding: 140px 0;
	background-color: var(--oshirase);
}

@media (max-width: 900px) {
	.flow-back-image {
		padding: 80px 0;
	}
}

.flow-back {
	max-width: 800px;
	width: min(800px, calc(100% - 32px));
	margin: auto;
	padding: 80px 100px;
	border-radius: 24px;
	background-color: #FFFFFF;
}

@media (max-width: 900px) {
	.flow-back {
		width: 80%;
		padding: 42px 22px;
	}
}

.flow-title {
	color: var(--text);
	font-family: "Kiwi Maru", serif;
}

.flow-list table {
	width: 100%;
	border-spacing: 20px 0;
}

@media (max-width: 900px) {
	.flow-list table {
		border-spacing: 12px 0;
	}
}

.flow-step {
	color: var(--border);
	font-weight: 600;
	font-size: 15px;
}

.flow-contents {
	font-size: 22px;
	font-weight: 700;
}

@media (max-width: 900px) {
	.flow-contents {
		font-size: 18px;
	}
}

.flow-number {
	background-color: var(--border);
	font-size: 25px;
	color: #FFFFFF;
	width: 80px;
	height: 80px;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
}

@media (max-width: 520px) {
	.flow-number {
		width: 55px;
		height: 55px;
		font-size: 19px;
	}
}

.flow-naiyo {
	font-weight: 500;
}

@media (max-width: 520px) {
	.flow-naiyo {
		line-height: 1.5;
	}
}

.flow-space {
	height: 55px;
}

@media (max-width: 520px) {
	.flow-space {
		height: 40px;
	}
}

/* ========== レッスンの流れ ========== */



/* ========== 教室のご案内 ========== */
.class-section {
	color: var(--text);
	padding: 150px 0 100px 0;
	background-color: #FFFFFF;
}

@media (max-width: 900px) {
	.class-section {
		padding-top: 80px;
	}
}

@media (max-width: 520px) {
	.class-section {
		padding-bottom: 50px;
	}
}

.class-title {
	font-size: 27px;
	font-weight: 500;
	margin: 30px auto;
	padding-bottom: 20px;
	font-family: "Kiwi Maru", serif;
}

@media (max-width: 900px) {
	.class-title {
		font-size: 24px;
		text-align: center;
		margin: 22px auto;
		padding-bottom: 5px;
	}
}

.class-flex {
	display: flex;
	margin: 0 auto;
	gap: 50px;
	width: min(1500px, calc(100% - 32px));
}

@media (max-width: 900px) {
	.class-flex {
		gap: 30px;
	}
}

@media (max-width: 520px) {
	.class-flex {
		display: block;
	}
}

.class-left,
.class-right {
	width: 50%;
}

@media (max-width: 520px) {

	.class-left,
	.class-right {
		width: 100%;
	}

	.class-left {
		margin-bottom: 80px;
	}
}

.class-map iframe {
	width: 100%;
	height: 320px;
	border: none;
	border-radius: 10px;
}

@media (max-width: 900px) {
	.class-map iframe {
		height: 250px;
	}
}

@media (max-width: 520px) {
	.class-map iframe {
		height: 200px;
	}
}

.basho-flex {
	display: flex;
	gap: 20px;
}

@media (max-width: 900px) {
	.basho-flex {
		display: block;
	}
}

.class-image {
	width: 250px;
	aspect-ratio: 1 / 1;
	margin-top: 30px;
}

@media (max-width: 1200px) {
	.class-image {
		width: 150px;
	}
}

@media (max-width: 900px) {
	.class-image {
		width: 100%;
		height: 200px;
		margin-top: 20px;
	}
}

.basho-image {
	width: 100%;
	height: 100%;
	border-radius: 10px;
	background-image: url(../img/photo/nonokusacafe.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

.basho-image2 {
	width: 100%;
	height: 100%;
	border-radius: 10px;
	background-image: url(../img/photo/hiyoshikaikan.png);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

.basho-naiyo {
	font-weight: 500;
	flex: 1;
	color: var(--text);
	margin-top: 30px;
}

@media (max-width: 1200px) {
	.basho-naiyo {
		margin-top: 15px;
	}
}

.basho-naiyo table {
	width: 100%;
	font-size: 16px;
}

@media (max-width: 1200px) {
	.basho-naiyo table {
		font-size: 14px;
	}
}

.basho-naiyo th {
	padding-top: 14px;
	min-width: 60px;
	text-align: left;
	vertical-align: top;
	font-weight: bold;
}

.basho-naiyo td {
	padding-top: 14px;
	line-height: 1.7;
}

@media (max-width: 1200px) {

	.basho-naiyo th,
	.basho-naiyo td {
		padding-top: 10px;
		line-height: 1.5;
	}
}

.basho-border {
	border-bottom: 1px solid var(--border);
}

/* ========== 教室のご案内 ========== */



/* ========== 講師の紹介 ========== */
.koshi-section {
	margin: 100px auto 0 auto;
	color: var(--text);
}

@media (max-width: 520px) {
	.koshi-section {
		margin-top: 50px;
	}
}

.koshi-flex {
	display: flex;
	margin: 0 auto;
	width: min(1500px, calc(100% - 32px));
	gap: 50px;
}

@media (max-width: 900px) {
	.koshi-flex {
		gap: 20px;
	}
}

@media (max-width: 520px) {
	.koshi-flex {
		display: block;
		width: 100%;
		gap: 0;
	}
}

.koshi-image {
	width: 320px;
	border-radius: 25px;
	background-image: url(../img/photo/koshi.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

@media (max-width: 900px) {
	.koshi-image {
		height: 350px;
	}
}

@media (max-width: 520px) {
	.koshi-image {
		width: 260px;
		height: 260px;
		margin: 0 auto;
	}
}

.koshi-info {
	flex: 1;
	padding: 0 20px;
}

@media (max-width: 520px) {
	.koshi-info {
		display: block;
		text-align: center;
		margin-top: 20px;
	}
}

.koshi-name {
	font-family: "Kiwi Maru", serif;
	margin-bottom: 30px;
}

@media (max-width: 900px) {
	.koshi-name {
		margin-bottom: 20px;
	}
}

.koshi-name .name {
	margin: 0;
	font-size: 40px;
}

@media (max-width: 900px) {
	.koshi-name .name {
		font-size: 35px;
	}
}

@media (max-width: 520px) {
	.koshi-name .name {
		font-size: 30px;
	}
}

.koshi-name .nickname {
	margin: 0;
	font-size: 22px;
}

@media (max-width: 520px) {
	.koshi-name .nickname {
		margin: 0;
		font-size: 18px;
	}
}

.license-wrap {
	display: flex;
	width: 100%;
	gap: 100px;
}

@media (max-width: 900px) {
	.license-wrap {
		gap: 20px;
	}
}

.koshi-license {
	display: flex;
	margin-top: 15px;
}

@media (max-width: 900px) {
	.koshi-license {
		width: 50%;
	}
}

@media (max-width: 520px) {
	.koshi-license {
		text-align: left;
	}
}

.koshi-license .tag label {
	font-weight: 500;
	white-space: nowrap;
}

.koshi-license ul {
	margin: 0;
	padding-left: 30px;
}

.koshi-license li {
	list-style: none;
	white-space: nowrap;
}

.koshi-naiyo {
	margin-top: 60px;
	width: 85%;
}

@media (max-width: 1200px) {
	.koshi-naiyo {
		width: 100%;
	}
}

@media (max-width: 900px) {
	.koshi-naiyo {
		margin-top: 50px;
	}
}

@media (max-width: 520px) {
	.koshi-naiyo {
		margin-top: 40px;
		text-align: left;
	}
}

.koshi-naiyo p {
	margin: 0;
	line-height: 1.6;
}

.koshi-history {
	margin: 50px auto 0 auto;
	width: min(1500px, calc(100% - 32px));
}

@media (max-width: 900px) {
	.koshi-history {
		margin-top: 40px;
	}
}

@media (max-width: 520px) {
	.koshi-history {
		margin-top: 30px;
		width: 100%;
	}
}

.koshi-history table {
	width: 100%;
	padding-left: 370px;
}

@media (max-width: 520px) {
	.koshi-history table {
		padding: 0 20px;
	}
}

.koshi-history th {
	width: 0;
	white-space: nowrap;
	padding: 15px 50px 0 20px;
	text-align: left;
	vertical-align: top;
	font-weight: bold;
}

@media (max-width: 900px) {
	.koshi-history th {
		padding-right: 25px;
		padding-left: 0;
	}
}

@media (max-width: 520px) {
	.koshi-history th {
		padding-top: 10px;
	}
}

.koshi-history td {
	padding: 15px 20px 0 0;
	line-height: 1.6;
}

@media (max-width: 520px) {
	.koshi-history td {
		padding-top: 10px;
	}
}

.koshi-border {
	padding: 0;
	border-bottom: 1px solid var(--border);
}

/* ========== 講師の紹介 ========== */



/*
.class-section {
    color: var(--text);
    margin: 150px auto 0 auto;
    width: 100%;
}

.class-map {
    max-width: 1360px;
    width: min(1360px, calc(100% - 32px));
    height: 400px;
    border-radius: 20px;
    margin: 0 auto;
}

@media (max-width: 900px) {
    .class-map {
        height: 280px;
        border-radius: 16px;
    }
}

@media (max-width: 520px) {
    .class-map {
        height: 240px;
    }
}

.class-map iframe {
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 10px;
}

.class-flex {
    display: flex;
    font-weight: 500;
    max-width: 1200px;
    width: min(1200px, calc(100% - 32px));
    margin: 100px auto auto auto;
}

@media (max-width: 900px) {
    .class-flex {
        flex-direction: column;
        gap: 26px;
        margin-top: 60px;
    }
}

.class-left {
    width: 480px;
    padding-right: 20px;
}

.class-right {
    width: 100%;
    padding-left: 20px;
}

@media (max-width: 900px) {

    .class-left,
    .class-right {
        width: 100%;
        display: flex;
        padding: 0;
    }
}

@media (max-width: 520px) {

    .class-left,
    .class-right {
        display: block;
    }

    .class-right {
        margin-top: 120px;
    }
}

.class-image {
    width: 100%;
    height: 400px;
}

@media (max-width: 900px) {
    .class-image {
        width: 270px;
    }
}

@media (max-width: 520px) {
    .class-image {
        width: 100%;
        height: 240px;
    }
}

.basho-image {
    width: 400px;
    height: 100%;
    margin-left: 80px;
    border-radius: 50px;
    background-image: url(../img/photo/nonokusacafe.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

@media (max-width: 900px) {
    .basho-image {
        width: 320px;
        height: 320px;
        margin: 0 auto;
        border-radius: 22px;
    }
}

@media (max-width: 520px) {
    .basho-image {
        width: 100%;
        height: 100%;
        padding: 0;
        border-radius: 15px;
    }
}

.basho-naiyo {
    font-weight: 500;
    color: var(--text);
}

@media (max-width: 900px) {
    .basho-naiyo {
        width: 100%;
        padding-left: 70px;
    }
}

@media (max-width: 520px) {
    .basho-naiyo {
        padding: 10px 0 0 0;
    }
}

.basho-naiyo table {
    width: 100%;
}

.basho-naiyo th {
    padding-top: 17px;
    min-width: 100px;
    text-align: left;
    vertical-align: top;
    font-weight: bold;
}

.basho-naiyo td {
    padding-top: 17px;
    line-height: 1.7;
}

@media (max-width: 900px) {
    .basho-naiyo th {
        padding-top: 10px;
        min-width: 50px;
    }

    .basho-naiyo td {
        padding-top: 10px;
        line-height: 1.5;
    }
}

.basho-border {
    border-bottom: 1px solid var(--border);
}

.koshi-image {
    width: 400px;
    height: 100%;
    border-radius: 50px;
    background-image: url(../img/photo/koshi.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

@media (max-width: 900px) {
    .koshi-image {
        width: 270px;
        height: 270px;
        margin: 0 auto;
        border-radius: 22px;
    }
}

@media (max-width: 520px) {
    .koshi-image {
        width: 100%;
        height: 100%;
        padding: 0;
        border-radius: 15px;
    }
}

@media (max-width: 900px) {
    .koshi-naiyo {
        width: 100%;
        padding-left: 20px;
    }
}

@media (max-width: 520px) {
    .koshi-naiyo {
        width: 100%;
        padding: 0;
    }
}

.koshi-naiyo p {
    margin: 25px auto;
}

.koshi-history {
    background-color: #FFFFFF;
    padding: 25px 10px;
    border-radius: 20px;
    border: 2px dotted var(--lesson);
}

.koshi-history p {
    margin: 0;
    padding-bottom: 17px;
}

.koshi-naiyo table {
    width: 100%;
}

.koshi-naiyo th {
    white-space: nowrap;
    min-width: 100px;
    text-align: left;
    vertical-align: top;
    font-weight: 500;
}

@media (max-width: 520px) {
    .koshi-naiyo th {
        min-width: 90px;
    }
}

.koshi-naiyo th,
.koshi-naiyo td {
    padding-top: 7px;
}

.koshi-title {
    font-size: 27px;
    font-weight: 500;
    margin: 30px auto;
}

@media (max-width: 900px) {
    .koshi-title {
        font-size: 24px;
        text-align: center;
        margin: 22px auto;
    }
}

.class-button {
    text-align: center;
    margin-top: 60px;
}
*/
/* ========== 教室のご案内 ========== */



/* ========== 下部 ========== */
.under-section {
	margin: 150px auto 50px auto;
	width: 100%;
}

@media (max-width: 900px) {
	.under-section {
		margin: 110px auto 40px auto;
	}
}

.under-logo {
	width: 210px;
	height: 210px;
	margin: 0 auto;
}

@media (max-width: 900px) {
	.under-logo {
		width: 170px;
		height: 170px;
	}
}

@media (max-width: 520px) {
	.under-logo {
		width: 130px;
		height: 130px;
	}
}

.under-logo img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}

/* ========== 下部 ========== */



/* ========== ヘッダー ========== */
@media (max-width: 900px) {
	header {
		position: relative;
	}

	.header-flex {
		position: relative;
		display: block;
	}

	.header-right {
		width: 100%;
	}

	.header-image {
		height: 100svh;
		border-radius: 0;
	}

	.header-left {
		position: absolute;
		left: 0;
		right: 0;
		top: calc(env(safe-area-inset-top) + 10px);
		width: 100%;
		background: transparent;
		padding: 10px 14px;
		box-sizing: border-box;
		display: flex;
		align-items: center;
		justify-content: space-between;
		z-index: 1500;
	}

	.header-logo a {
		display: inline-flex;
		align-items: center;
		padding: 8px 10px;
		border-radius: 16px;
		background: rgba(249, 249, 242, 0.82);
		backdrop-filter: blur(6px);
		-webkit-backdrop-filter: blur(6px);
	}

	.header-left {
		position: absolute;
	}
}

/* ========== ヘッダー ========== */